net.corda.core.contracts

## Enum DayCountBasisDay

-     public enum DayCountBasisDay

  This forms the day part of the "Day Count Basis" used for interest calculation. Note that the first character cannot be a number (enum naming constraints), so we drop that in the toString lest some people get confused.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `D30`
    `D30E`
    `D30F`
    `D30G`
    `D30N`
    `D30P`
    `D30Z`
    `DActual`
    `DActualJ`
    `DBus_SaoPaulo`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

- - ### Enum Constant Detail

    - #### D30

          public static DayCountBasisDay D30

    - #### D30N

          public static DayCountBasisDay D30N

    - #### D30P

          public static DayCountBasisDay D30P

    - #### D30E

          public static DayCountBasisDay D30E

    - #### D30G

          public static DayCountBasisDay D30G

    - #### DActual

          public static DayCountBasisDay DActual

    - #### DActualJ

          public static DayCountBasisDay DActualJ

    - #### D30Z

          public static DayCountBasisDay D30Z

    - #### D30F

          public static DayCountBasisDay D30F

    - #### DBus_SaoPaulo

          public static DayCountBasisDay DBus_SaoPaulo

  - ### Method Detail

    - #### toString

          public java.lang.String toString()